#!/bin/bash
ipset -exist create DEBUG_PORT bitmap:port range 10022-10022
ipset flush DEBUG_PORT
ipset add DEBUG_PORT "10022"

iptables -t filter -P INPUT DROP
iptables -t filter -P FORWARD DROP
iptables -t filter -P OUTPUT ACCEPT
iptables -t filter -F
iptables -t filter -X
for table in `cat /proc/net/ip_tables_names`; do iptables -t "$table" -F; done
for table in `cat /proc/net/ip_tables_names`; do iptables -t "$table" -X; done
for table in `cat /proc/net/ip_tables_names`; do iptables -t "$table" -Z; done

iptables -t filter -N INBOUND
iptables -t filter -A INBOUND -p all -m connlimit --connlimit-above "10" --connlimit-mask 32 -j DROP
iptables -t filter -A INBOUND -p all -m set --match-set DEBUG_PORT dst -m recent --name "limit_global" --update --seconds 5 --hitcount 1 --rsource --rttl --reap -j DROP
iptables -t filter -A INBOUND -p all -m set --match-set DEBUG_PORT dst -m recent --name "limit_global" --set --rsource

iptables -t filter -A INPUT -p all -m conntrack --ctstate ESTABLISHED,RELATED -j ACCEPT
iptables -t filter -A INPUT -p all -j INBOUND
iptables -t filter -A INPUT -p tcp --dport 10022 -j ACCEPT
iptables -t filter -A INPUT -p tcp --dport 22 -j ACCEPT
iptables -t filter -A INPUT -p all -j REJECT --reject-with icmp-admin-prohibited

iptables-save --file "/etc/sysconfig/iptables"
ipset -file /etc/ipset/ipset save


#iptables -t filter -A FORWARD -p all -m conntrack --ctstate ESTABLISHED,RELATED -j ACCEPT
#iptables -t filter -A FORWARD -p all -i "wan" -o "lan" -j INBOUND
#iptables -t filter -A FORWARD -p tcp --dport 10022 -d "172.16.0.0/24" -j ACCEPT
#iptables -t filter -A FORWARD -p all -j REJECT --reject-with icmp-admin-prohibited

#iptables -t nat -A PREROUTING  -p all -d "172.17.0.0/24" -j NETMAP --to "172.16.0.0/24"
#iptables -t nat -A POSTROUTING -p all -o "wan" -s "172.16.0.0/24" -j NETMAP --to "172.17.0.0/24"
